/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.util;

import java.beans.PropertyEditorManager;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import nl.cloudfarming.client.util.connection.ConnectionChecker;
import org.openide.modules.ModuleInstall;

/**
 * Manages a module's lifecycle. Remember that an installer is optional and
 * often not needed at all.
 */
public class Installer extends ModuleInstall {

    @Override
    public void restored() {
        String[] old = PropertyEditorManager.getEditorSearchPath();
        List<String> l = new ArrayList<String>(Arrays.asList(old));
        l.add("nl.cloudfarming.client.editors");
        PropertyEditorManager.setEditorSearchPath(l.toArray(new String[l.size()]));
        ConnectionChecker.getInstance().start();
    }

    @Override
    public void close() {
        ConnectionChecker.getInstance().stop();
        super.close();
    }
    
    
}
